Get Oasis Transaction History¶
Query transaction history for an Oasis account.
Endpoint¶
Parameters¶
Path Parameters¶
| Field | Type | Description |
|---|---|---|
accountId |
String | Account ID |
Query Parameters¶
| Field | Type | Description |
|---|---|---|
orderNo |
String | Order number |
flowTypes |
String[] | Transaction types |
txHash |
String | Transaction hash. Note: Only balance accounts use this parameter |
offset |
Integer | Pagination offset (Default: 0) |
limit |
Integer | Number of records per page (Default: 10) |
Response¶
Response Body¶
| Field | Type | Description |
|---|---|---|
| code | Integer | Response code (0 = success) |
| message | String | Response message |
| successful | Boolean | Whether the request was successful |
| data | Object | Transaction history data. |
data (object)
| Field | Type | Description |
|---|---|---|
| offset | Integer | Pagination offset |
| limit | Integer | Records per page |
| total | Integer | Total number of records |
| list | Object[] | List of transactions. |
list (object)
| Field | Type | Description |
|---|---|---|
| flowId | String | Transaction ID |
| accountId | String | Account ID |
| currency | String | Currency Type |
| tokenName | String | Token Name |
| flowType | String | Transaction type • deposit - Deposit to balance account• deposit_rollback - Deposit rollback• withdraw - Withdrawal from balance account• withdraw_to_intra - Internal transfer within balance account• withdraw_usr_out_fee - Withdrawal fee• transfer_to_buff - Transfer from balance account to Buffer account• transfer_to_balance - Transfer from Buffer account to balance account• settle - Settlement |
| status | String | Transaction status • confirmed - Confirmed • unconfirmed - Unconfirmed • failed - Failed • frozen - Frozen • rollbacked - Rolled back |
| direction | String | Transaction direction • out - Outgoing • in - Incoming |
| address | String | Deposit address |
| countparty | String | Counterparty Note: Only available for deposit transactions |
| amount | String | Amount |
| accountBalance | String | Account balance after transaction |
| orderNo | String | Order number |
| settleStartTime | Long | Settlement period start time (timestamp) Note: Only available for settle transactions |
| settleEndTime | Long | Settlement period end time (timestamp). Note: Only available for settle transactions |
| createTime | Long | Record creation time (timestamp) |
| txInfos | Object | Transaction information, contains list of transaction hash |
txInfos (object)
| Field | Type | Description |
|---|---|---|
| txHash | String | Transaction hash |
Response Example¶
{
"code": 0,
"message": "string",
"data": {
"offset": 0,
"limit": 10,
"list": [
{
"currency": "USDT",
"status": "confirmed",
"direction": "in",
"countparty": "TCR1AqfrBEhaTCkxxHg783BRHFBvmmLFGd",
"amount": "5",
"flowId": "a5f46cb64ac84e048dd152324c677cf0",
"accountId": "100002",
"tokenName": "USDTTRC",
"flowType": "deposit",
"accountBalance": "5",
"orderNo": "",
"txInfos": [
{
"txHash": "811e4c71123cfd1f9d07dd5f70b16a09dee5fc1e032d4bdb13a3155cf90399a0"
}
]
}
],
"total": 1
},
"successful": true
}